Bug 504309 - bug-buddy crashes freenx/xvnc when attempting to change desktop background.
bug-buddy crashes freenx/xvnc when attempting to change desktop background.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
: 518624 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 10:16 EDT by Dawid Zamirski
Modified: 2010-06-24 15:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 15:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Zamirski 2009-06-05 10:16:13 EDT
Description of problem:
My freenx session crashes every time I try to change the desktop background, or when I go to System->Preferences->Keyboard I get 'kicked out' as well.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-12.fc11.x86_64

Running an up-to-date F11-Preview.

How reproducible:
Always

Steps to Reproduce:
1. Login to freenx desktop remotely (GNOME).
2. Right-click on the desktop and choose to change background or go to preferences -> keyboard (possibly other action would trigger the crash as well).
3. You'll be kicked out

Additional info:

This is my complete /var/log/messages that I've cleaned up before reproducing the issue - from login to the crash. If you need more info please let me know.

[root@phemon maners]# cat /var/log/messages
Jun  5 09:59:24 phemon gnome-session[31802]: WARNING: GSIdleMonitor: IDLETIME counter not found
Jun  5 09:59:24 phemon gnome-session[31802]: WARNING: Unable to determine session: Unable to lookup session information for process '31802'
Jun  5 09:59:24 phemon pulseaudio[31824]: polkit.c: Cannot set UID on session object.
Jun  5 09:59:24 phemon pulseaudio[31826]: module-alsa-card.c: Card '0' doesn't exist: Permission denied
Jun  5 09:59:24 phemon pulseaudio[31826]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=0 name=pci_1412_1724_sound_card_0 card_name=alsa_card.pci_1412_1724_sound_card_0 tsched=1"): initialization failed.
Jun  5 09:59:24 phemon dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.258" (uid=500 pid=31826 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1872 comm="/usr/sbin/bluetoothd "))
Jun  5 09:59:24 phemon pulseaudio[31826]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Jun  5 09:59:25 phemon pulseaudio[31869]: pid.c: Daemon already running.
Jun  5 09:59:25 phemon dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.263" (uid=500 pid=31855 comm="bluetooth-applet ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1872 comm="/usr/sbin/bluetoothd "))
Jun  5 09:59:25 phemon dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.263" (uid=500 pid=31855 comm="bluetooth-applet ") interface="org.bluez.Manager" member="DefaultAdapter" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1872 comm="/usr/sbin/bluetoothd "))
Jun  5 09:59:25 phemon gnome-session[31802]: CRITICAL: gs_idle_monitor_add_watch: assertion `GS_IS_IDLE_MONITOR (monitor)' failed
Jun  5 09:59:32 phemon gnome-session[31802]: GLib-GObject-WARNING: cannot register existing type `PkPangoFcFontMap'
Jun  5 09:59:32 phemon gnome-session[31802]: GLib-GObject-CRITICAL: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
Jun  5 09:59:32 phemon gnome-session[31802]: GLib-GObject-CRITICAL: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Jun  5 09:59:33 phemon bonobo-activation-server (maners-32056): could not associate with desktop session: Failed to connect to socket /tmp/dbus-W1JgxsKYMI: Connection refused
Comment 1 Chris Underhill 2009-06-24 05:51:23 EDT
I can reproduce this. I'm using an fully up-to-date Fedora 11 (i386) guest under VMWare player 2.5.2. The host is running CentOS 5.3 (x86_64), again fully updated. The display is on a Centos 4.7 (x86_64) machine, with Xinerama enabled (2 monitors). I'm using the latest client/node/server packages from www.nomachine.com (3.3.0). Window preference is "focus follows mouse"

A core file is generated by the crash, which under gdb reveals gnome-session as the culprit:

Core was generated by `gnome-session'.
Program terminated with signal 11, Segmentation fault.
#0  0x007c50dc in bug_buddy_log_handler(const gchar *, <anonymous enum>, const gchar *, gpointer) (log_domain=0x0, log_level=G_LOG_LEVEL_DEBUG, 
    message=0x98987c0 "GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged", user_data=0x0)
    at gnome-breakpad.cc:179

followed by endless entries like::::

#1  0x007c5115 in bug_buddy_log_handler(const gchar *, <anonymous enum>, const gchar *, gpointer) (log_domain=0x0, log_level=G_LOG_LEVEL_DEBUG, 
    message=0x98987c0 "GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged", user_data=0x0)
    at gnome-breakpad.cc:184

If however I remove bug-buddy-2.26.0-2.fc11.i586 (rpm -e bug-buddy), changing desktop background works fine however. Re-install and it crashes.
Comment 2 Dawid Zamirski 2009-06-24 09:48:22 EDT
Removing bug-buddy, as Chris suggested, solved the issue for me as well.
Comment 3 Alberto 2009-07-14 09:10:07 EDT
i still cannot fix this bug, i have same problem, i did it, but. Another solution??
Comment 4 Graeme Gregory 2009-07-27 02:57:39 EDT
I can confirm removing bug-buddy fixes the issue here as well. 

bug-buddy-2.26.0-2.fc11.x86_64
Comment 5 Axel Thimm 2009-07-27 03:57:29 EDT
Can you please test the latest freenx-server package?

http://koji.fedoraproject.org/koji/buildinfo?buildID=117828

I don't think that bug-buddy causes the issue, most probably it's the tip of an iceberg. Still I'm adding the bug-buddy maintainer to the Cc, perhaps he sees something that bug-buddy shouldn't be doing.

Can you also check your logs now that it works w/o bug-buddy? I think there will still be errors reported just bug-buddy not fired up. Also please mention which client os/nxclient/qtnx etc. you are using to see whether it is protocol dependent. Thanks!
Comment 6 Dawid Zamirski 2009-07-27 13:15:29 EDT
Hi Alex,

I have just installed the freenx-server from koji and bug-buddy (via yum install, not koji) and it crashed on me the same way as before. After I yum removed the bug-buddy, the session does no crash but I get the following in my /var/log/messages when I invoke the desktop background change action:

Jul 27 13:12:58 phenom gnome-session[16399]: GLib-GObject-WARNING: cannot register existing type `PkPangoFcFontMap'
Jul 27 13:12:58 phenom gnome-session[16399]: GLib-GObject-CRITICAL: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
Jul 27 13:12:58 phenom gnome-session[16399]: GLib-GObject-CRITICAL: g_object_unref: assertion `G_IS_OBJECT (object)' failed

I'm using the latest nomachine client from on WindowsXp.
Comment 7 Axel Thimm 2009-09-02 18:01:15 EDT
There is a similar report on bug 518624. There it looks like flash is being used.

Could you just log in and check the session log?
Comment 8 Omar Langset 2009-09-21 13:59:12 EDT
This also applies to the nomachine nxserver running on F11 x86_64 freshly installed.

$ sudo rpm -qa | grep nx
nxclient-3.3.0-6.x86_64
nxserver-3.3.0-27.x86_64
nxnode-3.3.0-22.x86_64

Fresh install of nomachine nxclient 3.3.0-6 on fully updated WinXP.

I can confirm removing bug-buddy fixes the issue. 
bug-buddy-2.26.0-2.fc11.x86_64
Comment 9 G. Michael Carter 2009-10-04 12:01:24 EDT
I'm running Xvnc server session and I get the same problem.  Removing bug-buddy worked for me as well.
Comment 10 Charles Butterfield 2009-10-18 16:38:02 EDT
I too have this problem (although I triggered it via System->Preferences->Appearances).  And the fix of removing bug-buddy worked for me too, thanks!

If anybody needs log files, etc to dig into this, I'm happy to provide them.
Comment 11 Dawid Zamirski 2009-10-23 14:55:06 EDT
This issue is no longer happening in F12 as the bug-buddy was replaced by the ABRT.
Comment 12 Axel Thimm 2009-10-24 11:04:11 EDT
OK, this looks like a bug-buddy issue - even removing all of Fedora's nx bits and using pure nomachine packages like in comment #8 causes this bug, as well as xvnc sessions.

I'll move it to ug-buddy. The solution could be to backpackage ABRT, or to wait for the bug to EOL.
Comment 13 Axel Thimm 2009-10-24 11:04:47 EDT
*** Bug 518624 has been marked as a duplicate of this bug. ***
Comment 14 Bug Zapper 2010-04-27 10:39:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Dawid Zamirski 2010-06-24 15:53:42 EDT
This bug is no longer relevant as bug-buddy was replaced with ABRT in F12 and newer. Therefore, I'm closing this bug with CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.